Bug 1414683 - Black login screen with external monitor
Summary: Black login screen with external monitor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 08:59 UTC by Marco Guazzone
Modified: 2017-12-12 10:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:51:21 UTC
Type: Bug


Attachments (Terms of Use)
The X11 log (27.04 KB, text/plain)
2017-01-19 08:59 UTC, Marco Guazzone
no flags Details
LightDM log (found under /var/log/lightdm) (4.54 KB, text/plain)
2017-01-19 09:07 UTC, Marco Guazzone
no flags Details
Greeter log (found under /var/log/lightdm) (710 bytes, text/plain)
2017-01-19 09:08 UTC, Marco Guazzone
no flags Details
X log (found under /var/log/lightdm) (964 bytes, text/plain)
2017-01-19 09:09 UTC, Marco Guazzone
no flags Details

Description Marco Guazzone 2017-01-19 08:59:57 UTC
Created attachment 1242408 [details]
The X11 log

Description of problem:

When I attach an external monitor to my laptop, the login screen is black (I can only see the mouse icon) and to make it appear I must press the mouse button.

Version-Release number of selected component (if applicable):
1.19.1-2.fc25.x86_64

How reproducible:


Steps to Reproduce:
1. Attach the external monitor to the laptop's VGA port
2. Power on the laptop and boot Fedora
3. Wait for the login screen (which will appear as a blank screen)

Actual results:
Black login screen

Expected results:
Login screen

Additional info:
This problem appeared when I first installed Fedora 25 (few days after its release), then disappeared at a certain point in time until today.
I'm pretty sure that until yesterday, with installed xorg-x11-server ver. 1.19.1-1.fc25.x86_64, the problem was not present.

System info:
- Fedora 25 x86_64 with XFCE and LightDM
- Graphics card: Intel(R) HD Graphics 4000

Comment 1 Marco Guazzone 2017-01-19 09:07:32 UTC
Created attachment 1242409 [details]
LightDM log (found under /var/log/lightdm)

Comment 2 Marco Guazzone 2017-01-19 09:08:41 UTC
Created attachment 1242410 [details]
Greeter log (found under /var/log/lightdm)

Comment 3 Marco Guazzone 2017-01-19 09:09:23 UTC
Created attachment 1242411 [details]
X log (found under /var/log/lightdm)

Comment 4 Fedora End Of Life 2017-11-16 18:38:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:51:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.